XLASSIE(1x)

NAME
xlassie - mailbox counter for X

SYNOPSIS
xlassie [options]

DESCRIPTION
The xlassie program is a replacement for the standard X mail notification tool, XBiff. It has several useful enhancements over XBiff.

* Counts the number of new messages you have
* Can query remote mail on a POP3 server or on an IMAP server
* Can count local mail with an mbox or a maildir style spool
* Uses less memory than XBiff (or any other X mail checker)
* Can run a command when clicked on, and/or when new mail arrives
* Can toggle an LED indicating availability of mail
* Supports both the KDE and the WindowMaker applet protocols
* Runs as a standard X application

When the count is 0 (no mail) it is displayed in a less obtrusive color. When mail arrives a beep is emitted, and the updated unread message count is displayed.

When xlassie is running, the following interactive commands are available:

q             Quit gracefully.
mouse click   Spawn 'clickcommand' (if any), otherwise update mail
count.

xlassie 1.8

OPTIONS

-h,  -help
    Print usage and exit

-v,  -version
    Print version and exit

-V,  -verbose
    Chatter on about this and that

-name <name>
    Set application class name (default: xlassie)

-bg <color>
    Background color (default: White)

-fg <color>
    Foreground color (default: Black)

-hilight [<color>]
    Use a different foreground color when there is non-zero mail (default: Red)

-update <number>
    Check mail every <number> seconds (default: 5 sec local, 60 sec remote)

-bell
    Ring bell when count increases from zero

-led [<number>]
    Light-up keyboard LED <number> if mail exists (default: 1)

-fn <fontname>
    Font for the new mail count

-display <displayname>
    X server to connect to

-geometry <geometry>
    Window geometry

-shape
    Use a shaped window

-spool <filename>
    File to use for mail spool or maildir directory

-mailcommand <command>
    Command to execute on new mail arrival

-clickcommand <command> Command to execute when clicked upon
    (default: CHECK_MAILBOX)

-offset <number>
    Mail display count offset (for debugging)

-pop3 <server>
    Connect to pop3 server rather than local mail spool

-apop3 <server>
    Like -pop3, but uses a different method. Use when -pop3 doesn't find the correct number

-imap <server>
    Use the IMAP protocol instead of pop3

-imapfolder <folder>
    Use this folder instead of INBOX

-username <name>
    Username for pop3/imap server, when different from local username

-password <password>
    Password to use on pop3/imap server. Use the password 'ask' to be prompted for the password on stdin.

-offline
    Don't exit when the server is unreachable

-wmaker, -kde
    Do stuff to get swallowed into the WindowMaker or KDE dock. Normally unneeded: WindowMaker and KDE should be autodetected.

-nokde, -nowmaker
    Don't do the stuff to get swallowed

X RESOURCES

When reading X resources, two class names xlassie and xbiff are recognized (in that order) unless the -name is used. The class name xbiff allows resources common to both xbiff and xlassie to be easily configured, while the class name xlassie allows resources unique to this program. If no resources are specified, suitable defaults will be used. Command-line arguments can be used to override resource settings. The following resources are allowed (e.g, "xlassie.RESOURCE"):

name: name
    Use the specified name as a class name for this application (default: xlassie).

background: color
    Use the specified color as this application's background color. The 'bg' resource is also recognized (default: White).

foreground: color
    Use the specified color as this application's foreground color. The 'fg' resource is also recognized (default: Black).

hightlight: color
    Use the specified color as this application's foreground color when there is non-zero mail. The 'hilight' resource is also recognized (default: Red).

update: number
    Use the specified number to note how many seconds should be used to check mail every (default: 5 seconds local, 60 seconds remote).

bell: boolean
    Use the specified boolean value to affect the ringing of the system bell when mail is received (default: False).

led: number
    Use the specified number to light the LED specified if mail exists (default: 1).

font: fontname
    Use the specified fontname as the application's font. The 'fn' resource is also recognized.

geometry: geometry
    Use the specified X window geometry.

shape: boolean
    Use the specified boolean value to affect shaped window creation (default: False).

spool: filename
    Use the specified filename as the mail spool or maildir directory.

mailcommand: command
    Use the specified command to execute on new mail arrival. The 'mailcmd' resource is also recognized. If you have a %d in the command, it will get replaced with the number of new messages. Remember to put quotes around the command if it's longer than one word. If you want the command to run the background, put a '&' at the end.

clickcommand: command
    Use the specified command to execute when application is clicked on. The 'clickcmd' resource is also recognized (default: CHECK_MAILBOX).

pop3: server
    Use the specified pop3 server rather than local mail spool.

apop3: server
    Use the specified pop3 server rather than local mail spool but while using a different access method. This option is useful when -pop3 doesn't find the correct number.

imap: server
    Use the specified imap server rather than local mail spool.

username: name
    Use the specified login name for pop3/imap server access when different from local username.

password: password
    Use the specified login password for pop3/imap server access.

offline: boolean
    Use the specified boolean value to affect whether access is continued in the case a remote server is unreachable (default: False).

wmaker: boolean
    Use the specified boolean value to affect the ability to get swallowed into a WindowMaker dock (default: False).

kde: boolean
    Use the specified boolean value to affect the ability to get swallowed into a KDE dock (default: False).

nokde: boolean
    Use the specified boolean value to affect the inability to get swallowed into a KDE dock (default: False).

nowmaker: boolean
    Use the specified boolean value to affect the inability to get swallowed into a WindowMaker dock (default: False).

ENVIRONMENT
If set MAIL is the mail spool or maildir directory to use, unless otherwise specified on the command line.

AUTHOR
Original XLassie by Trent Piepho <xyzzy@speakeasy.org>.
Modified by
 - Barak A. Pearlmutter <barak@cs.may.ie>
 - Nadim Shaikli <nadim@arabeyes.org>.

COPYRIGHT
Copyright (c) 1998-2001, Trent Piepho.
Copyright of modifications held by their respective authors.

Licensed under the GNU General Public License v2 (GPL).